# Use ./build to compile apache and related software # recommended usage: ./build update ./build all # for information on the ./build command type: ./build # setup your configure options by editing configure.php configure.apache_ssl # if you get an error regarding the location of apache in apache-1.3.28, # you'll have to edit your configure.apache file and change 1.3.28 to 1.3.29 #As of October 5th 2003, we've changed how we include frontpage into apache, #so you'll need to delete your configure.apache files and download again # (backup your old one if you've cusomized it, and re-add your changes rm -f configure.apache_ssl ./build update ./build clean ./build all If you run into troubles with mod_per: Trying to make mod_perl... make: *** No targets specified and no makefile found. Stop. *** The make has failed, do you want to try to make again? (y,n): Then remove mod_perl-1.0-current.tar.gz and the run "./build update" and try again. Jan 23, 2005 When updating php to 4.3.10+, you'll need to reinstall a new php.ini: cp -f /usr/local/directadmin/customapache/php-4.3.10/php.ini-dist /usr/local/lib/php.ini Then restart apache.